Last Comment Bug 213117 - new text for about:mozilla
: new text for about:mozilla
Status: VERIFIED FIXED
: fixed1.5
Product: Core
Classification: Components
Component: Networking (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: mozilla1.5final
Assigned To: Gervase Markham [:gerv]
: Brendan Eich [:brendan]
Mentors:
: 160156 213645 (view as bug list)
Depends on:
Blocks: 219222
  Show dependency treegraph
 
Reported: 2003-07-18 14:04 PDT by dwitte@gmail.com
Modified: 2010-10-10 16:18 PDT (History)
25 users (show)
asa: blocking1.5-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
about:mozilla text per comment 0 (1.94 KB, patch)
2003-07-18 17:31 PDT, dwitte@gmail.com
no flags Details | Diff | Splinter Review
Patch v.2 (1.68 KB, patch)
2003-08-24 06:54 PDT, Gervase Markham [:gerv]
no flags Details | Diff | Splinter Review
a slightly modified version (1.88 KB, application/xhtml+xml)
2003-08-24 19:19 PDT, basic
gerv: review+
asa: approval1.5+
Details
testcase with line-height: 1.5em and "f" padding-left: .2ex (1.88 KB, application/xhtml+xml)
2003-09-03 02:27 PDT, Steffen Wilberg
no flags Details
testcase with #moztext{line-height:1.5} and em{line-height:0} (1.90 KB, application/xhtml+xml)
2003-09-11 03:59 PDT, Steffen Wilberg
no flags Details
patch based on the last testcase (820 bytes, patch)
2003-09-13 13:25 PDT, Steffen Wilberg
gerv: review+
asa: approval1.5+
Details | Diff | Splinter Review

Description dwitte@gmail.com 2003-07-18 14:04:42 PDT
There are some nice suggestions floating around for about:mozilla. One of my
favorites is http://xulplanet.com/ndeakin/arts/mozilla715.html.

Neal, if you'd like to give us permission to use your text in mozilla, I can
post a patch for it, and see what other folk think.
Comment 1 Christian :Biesinger (don't email me, ping me on IRC) 2003-07-18 14:36:39 PDT
well, as I said on irc, my favourite would be http://www.mversen.de/
Comment 2 Jo Hermans 2003-07-18 15:44:17 PDT
Sorry Dan, it's a dupe of bug 160156, assigned to asa.

PS: I vote for this first suggestion in this bug :-)
Comment 3 dwitte@gmail.com 2003-07-18 15:52:59 PDT
ah, good find... however, we have a couple of good suggestions here, so i'd
rather not dupe it... (if anything, maybe dupe the other one to this).

cc'ing asa.
Comment 4 Neil Deakin 2003-07-18 17:27:29 PDT
Go for it.

Or, perhaps a combination of the two suggestions.
Comment 5 dwitte@gmail.com 2003-07-18 17:31:20 PDT
Created attachment 128041 [details] [diff] [review]
about:mozilla text per comment 0

thanks! here's a patch for the first suggestion...
Comment 6 dwitte@gmail.com 2003-07-18 17:36:16 PDT
Comment on attachment 128041 [details] [diff] [review]
about:mozilla text per comment 0

Asa, would you like to take a look at this? thx!
Comment 7 Asa Dotzler [:asa] 2003-07-18 18:01:52 PDT
This would make a nice about for Firebird but I'm not sure we want to replace
SeaMonkey's about:mozilla with this.
Comment 8 Matthias Versen [:Matti] 2003-07-18 18:19:37 PDT
Asa: what Do you think from comment#1 (it's from Stephend's Blog)
Comment 9 Neil Deakin 2003-07-18 19:00:01 PDT
If you do use mine, at least spell my name right. ;)

-     Neal Deakin <enndeakin@sympatico.ca>
+     Neil Deakin <enndeakin@sympatico.ca>
Comment 10 Jo Hermans 2003-07-19 03:15:05 PDT
Nobody dares to put direct links to the 'unbelievers', 'Mammon' and the 2 birds
in this text (comment 0) ? Or is that a bit too much ;-)
Comment 11 Bill Mason 2003-07-23 20:19:02 PDT
*** Bug 213645 has been marked as a duplicate of this bug. ***
Comment 12 Galileo Vidoni 2003-07-23 20:57:23 PDT
some words of revenge about netscap'e death would be nice
Comment 13 Galileo Vidoni 2003-07-23 21:06:04 PDT
take a look at the duplicate bug (I posted it),, and read the other two about:
suggestions
Comment 14 Gervase Markham [:gerv] 2003-08-24 06:54:33 PDT
Created attachment 130330 [details] [diff] [review]
Patch v.2

Patch with "(Red Letter Edition)" removed. Let's get this in for beta. :-)

Gerv
Comment 15 Gervase Markham [:gerv] 2003-08-24 06:55:55 PDT
Taking.

Gerv
Comment 16 Gervase Markham [:gerv] 2003-08-24 06:58:13 PDT
Comment on attachment 130330 [details] [diff] [review]
Patch v.2

Dan, you seem like as good a person as any to rubber-stamp this, unless Neal
wants to.

(staff@mozilla.org have agreed to this change, and I've been given the job of
making it happen.)

Gerv
Comment 17 Gervase Markham [:gerv] 2003-08-24 06:59:55 PDT
Particularly, I've inserted a couple of &nbsp;s because italic f's have a big
tail, and it doesn't look like there's a space before "fell" or "fire"
otherwise. But if the space is too big on your OS, we may have to think of
another solution.

Gerv
Comment 18 Christopher Aillon (sabbatical, not receiving bugmail) 2003-08-24 07:21:39 PDT
Gerv, if you want spacing, please use CSS, not &nsbp;
Comment 19 Gervase Markham [:gerv] 2003-08-24 08:13:15 PDT
caillon: care to be more specific? 

.fixthepoorfontspacingalgorithm { padding-left: 1ex }
...
<span class="fixthepoorfontspacingalgorithm">fall</span>

?

Gerv
Comment 20 Christian :Biesinger (don't email me, ping me on IRC) 2003-08-24 13:04:45 PDT
Comment on attachment 128041 [details] [diff] [review]
about:mozilla text per comment 0

(obsolete patch => clearing review request)
Comment 21 Jo Hermans 2003-08-24 14:44:31 PDT
*** Bug 160156 has been marked as a duplicate of this bug. ***
Comment 22 dwitte@gmail.com 2003-08-24 14:45:22 PDT
yeah, those &nbsp;'s aren't so nice... also, for some reason I misspelt Neil's
name (see comment 9), so please correct that.

+     Neal Deakin <enndeakin@sympatico.ca>
Comment 23 basic 2003-08-24 18:54:28 PDT
gerv: which OS/fonts are you using that have the "f" problem?
Comment 24 basic 2003-08-24 19:19:25 PDT
Created attachment 130344 [details]
a slightly modified version
Comment 25 Gervase Markham [:gerv] 2003-08-25 00:59:23 PDT
Red Hat Linux 8, KDE, adobe-times-iso8859-1, 16px base size.

Basic's attachment is pretty good, although .3ex would probably make them match
the other ones more exactly.

Gerv
Comment 26 Asko Tontti 2003-08-25 02:24:33 PDT
If 'f' and its appearance means so much then maybe line spacing also needs some
work. For example depending on the width of browser window "cowered in horror"
can be layed out on its own line. When that happens, it has much smaller line
spacing that other lines :)
Comment 27 Galileo Vidoni 2003-08-25 17:20:17 PDT
--and what about implementing an about:netscape command, as a tribute?
Comment 28 Gervase Markham [:gerv] 2003-08-27 13:25:07 PDT
asko: only on very small browser windows.

galileo: that's not what this bug is about.

Let's go with basic's version.

Gerv
Comment 29 Gervase Markham [:gerv] 2003-08-27 13:26:40 PDT
This is probably too late for 1.5b, but it doesn't hurt to ask.

Gerv
Comment 30 Gervase Markham [:gerv] 2003-08-28 10:11:28 PDT
Comment on attachment 130344 [details]
a slightly modified version

Requesting approval for 1.5.

Gerv
Comment 31 Asa Dotzler [:asa] 2003-08-29 09:41:32 PDT
Comment on attachment 130344 [details]
a slightly modified version

a=asa (on behalf of drivers) for checkin to Mozilla 1.5
Comment 32 Asa Dotzler [:asa] 2003-08-29 09:43:14 PDT
approved to land but wouldn't block 1.5 for this. 
Comment 33 dwitte@gmail.com 2003-08-29 16:39:23 PDT
gerv: let me know if you'd like me to land this for you.
Comment 34 timeless 2003-08-31 12:23:08 PDT
Comment on attachment 130344 [details]
a slightly modified version

Is it not a bug that the f's have big tails and do bad things? if that's a bug
then shouldn't we fix it before we go introducing a buggy bandaged document
which will live forever?

On my relatively typical w2k install the f's are too far shifted from the
preceding words.

Offtopic, who's rejoicing? The following sentence seems to be a non sequitur.

usually "but" means the next thing contradicts the previous. Something like

... and the believers mourned. But all was not lost, for out of the ashes ...
Comment 35 Robert Kaiser 2003-09-01 04:59:07 PDT
timeless:
Your "f" problem isn't seen on my Linux XFT-enabled build. It might be
Win32-only or specific for some certain config you have on your system.
Comment 36 Gervase Markham [:gerv] 2003-09-01 14:31:59 PDT
Fixed.

Checking in xpfe/global/resources/content/mozilla.xhtml;
/cvsroot/mozilla/xpfe/global/resources/content/mozilla.xhtml,v  <--  mozilla.xhtml
new revision: 1.5; previous revision: 1.4
done

Gerv
Comment 37 Jeremy M. Dolan 2003-09-01 22:12:59 PDT
> asko: only on very small browser windows.

Actually, he had a good point. And it's not just for small browser windows. My
browser is 1080px width, and "cowered in horror." ends up on a line by itself.
With no <em>'d text in the taller font, the spacing really looks off on the page.

More minor of a display issue: the /f/ spacing looks like it is a little bit
bigger than the rest, especially when compared to the /t/ from thunder very
close to it. RH8, gtk2 build.
Comment 38 Gervase Markham [:gerv] 2003-09-02 12:11:28 PDT
Jeremy: actually, you have a good point. Can anyone work out how to guarantee
consistent line-height? I can't. 

BTW, the checked-in f-spacing was .3em instead of .4em.

Gerv
Comment 39 Steffen Wilberg 2003-09-02 23:58:15 PDT
Asa said in comment 7: "This would make a nice about for Firebird but I'm not
sure we want to replace SeaMonkey's about:mozilla with this."

Right now, it's replaced in SeaMonkey but not in Firebird...
Comment 40 Jeremy M. Dolan 2003-09-03 00:25:03 PDT
Gerv: can't you set line-height for the whole paragraph based on the max of
1.3em text height? See what the line-height Moz works out to automatically for
those lines, and then set all the lines to that.

N.B.: I often assume CSS can, you know, do simple text stylings. Most of the
time I am proven wrong.

> BTW, the checked-in f-spacing was .3em instead of .4em.

I think you mean ex, not em. That should be the appropriate spacing. It's a
shame this hack is needed though. I use italicized text quite a bit in my
weblog, and it always renders quite poor on Linux/Firebird, compared to
Windows/IE. (though it doesn't seem as bad with the gtk2 builds)
Comment 41 Gervase Markham [:gerv] 2003-09-03 01:25:21 PDT
Steffen: the patch was made and approved for Mozilla. However, I didn't know
Mozilla Firebird used a different about:mozilla file. Where is that stored?

Jeremy: I had a go at that, but I'm not a CSS expert. Perhaps someone a bit more
skilled can have a go.

Gerv
Comment 43 Steffen Wilberg 2003-09-03 02:27:08 PDT
Created attachment 130813 [details]
testcase with line-height: 1.5em and "f" padding-left: .2ex

line-height: 1.5em should do the trick.
the "f" padding-left is 0.3ex. I think 0.2ex looks even better though.
Comment 44 Jeremy M. Dolan 2003-09-04 16:54:03 PDT
Steffen's version looks much better when no <em> text ends up on the last line.
The 0.2ex looks a bit better too, I believe. Again, at least on Linux/RH8/FB/gtk2.

Seperately: The whole div moves down the wider my window gets. The actual text
remains on two lines, so I don't know why margin-top: 15%; would affect vertical
spacing when only total horizontal size grows.
Comment 45 Gervase Markham [:gerv] 2003-09-06 07:19:07 PDT
It definitely looks better than before; but, after having set it, you would
expect the line-height to be exactly the same for all lines, wouldn't you?
Because it's not (with 'cowered in horror' on its own), by a few pixels. The
cowered in horror line is still smaller.

Is there some other measure (line-depth?) we haven't altered?

Gerv
Comment 46 Steffen Wilberg 2003-09-11 03:46:10 PDT
Gerv, you're right. Line-height refers to the font size. The larger the font
size, the larger the space between lines. This is more visible if you set "em"
to a much larger size, like font-size:4em. The "covered by horror" line is too
small indeed.

"Line-stacking-strategy" from the css3 line module looks promising, but that
doesn't seem to have been implemented yet.
http://www.w3.org/TR/css3-linebox/#LineStacking

But I've got another solution.
Comment 47 Steffen Wilberg 2003-09-11 03:59:22 PDT
Created attachment 131222 [details]
testcase with #moztext{line-height:1.5} and em{line-height:0}

By setting em {line-height: 0}, I get rid of the influence of the em font-size
to the line-height.
To see the effect, first try #moztext {line-height: 1.5} and em {font-size:
4em}, without the line-height in em. The "cowered in horrer" line is much too
small.

Then try #mozext {line-height: 4} and em {font-size: 4em; line-height: 0}. The
"cowered in horror" line is fine.
Comment 48 Steffen Wilberg 2003-09-13 13:25:27 PDT
Created attachment 131406 [details] [diff] [review]
patch based on the last testcase

my very first patch!
Comment 49 Steffen Wilberg 2003-09-13 18:08:57 PDT
reopening to get this done.
Comment 50 Gervase Markham [:gerv] 2003-09-17 15:00:13 PDT
Comment on attachment 131222 [details]
testcase with #moztext{line-height:1.5} and em{line-height:0}

Requesting module owner approval from blake or hyatt to land this in the
Firebird tree (for 0.7) as well.

Gerv
Comment 51 Gervase Markham [:gerv] 2003-09-19 00:53:10 PDT
Comment on attachment 131406 [details] [diff] [review]
patch based on the last testcase

r=gerv.

Gerv
Comment 52 Gervase Markham [:gerv] 2003-09-19 00:54:17 PDT
Comment on attachment 131406 [details] [diff] [review]
patch based on the last testcase

Asking for 1.5 approval - small tweak to earlier fix.

Gerv
Comment 53 Steffen Wilberg 2003-09-19 01:05:38 PDT
Comment on attachment 131222 [details]
testcase with #moztext{line-height:1.5} and em{line-height:0}

removing r= and sr= requests from the testcase.
Comment 54 Steffen Wilberg 2003-09-19 01:06:41 PDT
Comment on attachment 131406 [details] [diff] [review]
patch based on the last testcase

Requesting sr for the patch.
Comment 55 Steffen Wilberg 2003-09-19 01:14:02 PDT
Comment on attachment 131406 [details] [diff] [review]
patch based on the last testcase

On other thought: Gerv, please seek sr yourself if you want.
Comment 56 Asa Dotzler [:asa] 2003-09-19 14:58:56 PDT
Comment on attachment 131406 [details] [diff] [review]
patch based on the last testcase

a=asa (on behalf of drivers) for checkin to the Mozilla 1.5 branch. Please add
the fixed1.5 keyword when this is landed on the branch. Thanks.
Comment 57 Gervase Markham [:gerv] 2003-09-20 06:33:39 PDT
Fixed (again :-).

Checking in ./xpfe/global/resources/content/mozilla.xhtml;
/cvsroot/mozilla/xpfe/global/resources/content/mozilla.xhtml,v  <--  mozilla.xhtml
new revision: 1.5.2.1; previous revision: 1.5
done

Gerv
Comment 58 Steffen Wilberg 2003-09-21 01:48:54 PDT
Gerv, please check this into the trunk as well.
Comment 59 Gervase Markham [:gerv] 2003-09-24 15:21:38 PDT
Tweak patch now checked into trunk also.

Gerv
Comment 60 Steffen Wilberg 2003-09-24 23:49:02 PDT
Thanks, Gerv. -> verified.
Comment 61 James Norris 2005-02-04 01:04:24 PST
Should this not be updated again :o\ Since the name-change from firebird to
firefox, the refference to the bird of fire is now redundent...
Comment 62 Gervase Markham [:gerv] 2005-02-04 01:56:53 PST
No. You are reading it far too literally ;-)

Gerv
Comment 63 Jacob 2010-10-10 16:18:26 PDT
This maybe a wrong piece of information that i have found along my travels but i think how Firefox is know more popular than IE.

This is my idea of the content for the page

And the once mighty mammon has fallen to the ever growing beast,with this great victory the beast may one day banish the mammon for good

the place i got this information from is a website that i very much trust here is the link http://www.w3schools.com/browsers/browsers_stats.asp

Note You need to log in before you can comment on or make changes to this bug.